- NAME
- SYNOPSIS
- DESCRIPTION
- OVERRIDEN METHODS
  - ModPerl::BuildMM::MY::constants
  - ModPerl::BuildMM::MY::top_targets
  - ModPerl::BuildMM::MY::postamble
  - ModPerl::BuildMM::MY::post_initialize
  - ModPerl::BuildMM::MY::libscan

# NAME

ModPerl::BuildMM -- A "subclass" of ModPerl::MM used for building mod_perl 2.0

# SYNOPSIS

     use ModPerl::BuildMM;

     # ModPerl::BuildMM takes care of doing all the dirty job of overriding
     ModPerl::BuildMM::WriteMakefile(...);

     # if there is a need to extend the methods
     sub MY::postamble {
         my $self = shift;

         my $string = $self->ModPerl::BuildMM::MY::postamble;

         $string .= "\nmydist : manifest tardist\n";

         return $string;
     }

# DESCRIPTION

`ModPerl::BuildMM` is a "subclass" of `ModPerl::MM` used for building mod_perl 2.0. Refer to `ModPerl::MM` manpage.

# OVERRIDEN METHODS

`ModPerl::BuildMM` overrides the following methods:

## `ModPerl::BuildMM::MY::constants`

## `ModPerl::BuildMM::MY::top_targets`

## `ModPerl::BuildMM::MY::postamble`

## `ModPerl::BuildMM::MY::post_initialize`

## `ModPerl::BuildMM::MY::libscan`